<?
require "include/bittorrent.php";

dbconn(false);

loggedinorreturn();
if (get_user_class() < UC_ADMINISTRATOR)
stderr("Error", "Access denied.");

if ($_GET['action'] == "list") {

$res2 = mysql_query("SELECT userid, seeder, torrent, agent FROM peers WHERE connectable='no' ORDER BY userid DESC") or sqlerr();

stdhead("Peers that are unconnectable");
print("<a href=findnotconnectable.php?action=sendpm><h3>allen nicht connectablen Usern ein PN senden</h3></a>");
print("<a href=findnotconnectable.php><h3>Die Log anzeigen (Bitte überprüfen,bevor man PN schickt)</h3></a>");
print("<h1>Peers die nicht connectable sind</h1>");
print("Das sind alle User, die im Augenblick aktiv sind.");

print("<br><font color=red>*</font> seedet noch.<p>");
$result = mysql_query("select distinct userid from peers where connectable = 'no'");
$count = mysql_num_rows($result);
print ("$count User sind nicht connectable.");
@mysql_free_result($result);

if (mysql_num_rows($res2) == 0)
print("<p align=center><b>Alle Peers sind Connectable! biggrin.gif</b></p>\n");
else
{
print("<table border=1 cellspacing=0 cellpadding=5>\n");
print("<tr><td class=colhead>UserName</td><td class=colhead>Torrent</td><td class=colhead>Client</td></tr>\n");
while($arr2 = mysql_fetch_assoc($res2))
{
$r2 = mysql_query("SELECT username FROM users WHERE id=$arr2[userid]") or sqlerr();
$a2 = mysql_fetch_assoc($r2);
print("<tr><td><a href=userdetails.php?id=$arr2[userid]>$a2[username]</a></td><td align=left><a href=details.php?id=$arr2[torrent]&dllist=1#seeders>$arr2[torrent]");
if ($arr2[seeder] == 'yes')
print("<font color=red>*</font>");
print("</a></td><td align=left>$arr2[agent]</td></tr>\n");
}
print("</table>\n");
}
}

if ($HTTP_SERVER_VARS["REQUEST_METHOD"] == "POST"){
$dt = sqlesc(get_date_time());
$msg = $_POST['msg'];
if (!$msg)
stderr("Error","Please Type In Some Text");

$query = mysql_query("SELECT distinct userid FROM peers WHERE connectable='no'");
while($dat=mysql_fetch_assoc($query)){
mysql_query("INSERT INTO messages (sender, receiver, added, msg, folder_in, subject) VALUES (0,$dat[userid] , '" . get_date_time() . "', " . sqlesc($msg) .", -3, 'Nicht Connectable')") or sqlerr(__FILE__,__LINE__);
}
mysql_query("INSERT INTO notconnectablepmlog ( user , date ) VALUES ( $CURUSER[id], $dt)") or sqlerr(__FILE__,__LINE__);
header("Refresh: 0; url=findnotconnectable.php");
hit_end();

}

if ($_GET['action'] == "sendpm") {
stdhead("Peers that are unconnectable");
?>
<table class=main width=750 border=0 cellspacing=0 cellpadding=0><tr><td class=embedded>
<div align=center>
<h1>Massen PN an alle User die nicht connectable sind</a></h1>
<form method=post action=findnotconnectable.php>
<?

if ($_GET["returnto"] || $_SERVER["HTTP_REFERER"])
{
?>
<input type=hidden name=returnto value=<?=$_GET["returnto"] ? $_GET["returnto"] : $_SERVER["HTTP_REFERER"]?>>
<?
}
//default message
$body = "
     Unsere Trackersoftware hat festgestellt, das Deine Verbindung für andere
User nicht erreichbar ist (not connectable), das kann folgende Gründe haben:

1. Deine Verbindung wird durch Deine PC-Firewall geblockt, weil Du Deine
   Clienten-Port-Nr.  nicht in Deiner Firewall freigegeben hast.

2. Du benutzt einen Router für deine Verbindung und hast die von Dir
   benutzte Clienten-Port-Nr.  nicht freigegeben bzw weitergeleitet.

  Lies bitte unsere F.A.Q´s  oder informiere Dich in unserem Forum oder
  Spreche jemanden vom Team an wie Du dies abstellen kannst.

  Oder schau am besten vielleicht gleich mal hier rein http://portforward.com/
  Das ist eine Einstellungs-Anleitung für fast aller Router !!!



                  mfg das PrivatXXL-Team !!!";
?>
<table cellspacing=0 cellpadding=5>
<tr>
<td>Sende Massen PN an alle User die nicht connectable sind<br>
<table style="border: 0" width="100%" cellpadding="0" cellspacing="0">
<tr>
<td style="border: 0">&nbsp;</td>
<td style="border: 0">&nbsp;</td>
</tr>
</table>
</td>
</tr>
<tr><td><textarea name=msg cols=120 rows=15><?=$body?></textarea></td></tr>
<tr>
<tr><td colspan=2 align=center><input type=submit value="Send" class=btn></td></tr>
</table>
<input type=hidden name=receiver value=<?=$receiver?>>
</form>

</div></td></tr></table>
<br>
NOTE: No HTML Code Allowed. (NO HTML)
<?
}
if ($_GET['action'] == ""){
stdhead("Unconnectable Peers Mass PM Log");

$getlog = mysql_query("SELECT * FROM `notconnectablepmlog` LIMIT 10");
print("<h1>Unconnectable Peers Massen PM Logbuch</h1>");
print("<h3>zeigt an wann die letzte PN an die User gesendet wurde</h3>");

print("<a href=findnotconnectable.php?action=list><h3>zeige alle nicht connectablen User</h3></a>");
print("<table border=1 cellspacing=0 cellpadding=5>\n");
print("<tr><td class=colhead>By User</td><td class=colhead>Date</td><td class=colhead>elapsed</td></tr>");
while($arr2 = mysql_fetch_assoc($getlog)){
$r2 = mysql_query("SELECT username FROM users WHERE id=$arr2[user]") or sqlerr();
$a2 = mysql_fetch_assoc($r2);
$elapsed = get_elapsed_time(sql_timestamp_to_unix_timestamp($arr2[date]));
print("<tr><td class=colhead><a href=userdetails.php?id=$arr2[user]>$a2[username]</a></td><td class=colhead>$arr2[date]</td><td>$elapsed ago</td></tr>");
}
print("</table>");

}

stdfoot();

?>